#!/bin/sh
echo 'name: data-pprint
version: 0.2.1.4
id: data-pprint-0.2.1.4-44da58f584172bd0a206ce3a7769b791

license: BSD3
copyright:
maintainer: divip@aszt.inf.elte.hu
stability: beta
homepage:
package-url:
synopsis: Prettyprint and compare Data values
description: Prettyprint and compare Data values.
             .
             *   Size limit for the output
             .
             *   Time limit for the computation
             .
             *   Escape exceptions
             .
             *   Do not escape unicode characters
             .
             *   Comparison: Highlight the first difference
             .
             *   Comparison: Yes, No or Maybe results
             .
             Probably you need only the '\''pprint'\'' and '\''(===)'\'' functions from the "Data.PPrint" module.
             .
             Usage examples:
             .
             > pprint [1..]
             > pprint $ repeat [1..]
             > pprint $ iterate (*10) 1
             > pprint $ map length $ replicate 5 [1..] ++ repeat []
             > pprint [2 `div` 0, error "xxx", 18, 4 `div` 0]
             > [1..10] === reverse [10,9..1]
             > [1..10] === reverse [10..1]
             > reverse [10..] === [1..]
             > [1..] === [1..99] ++ [101..]
             > ([1..], [1..]) === ([1..], [1..100])
             > (error "x", [1..]) === (0 `div` 0, reverse [1..])
             > error ("xx" ++ show (length [1..])) === 1
             > error ("xx" ++ error "yy") === 1
             > (error $ unlines $ replicate 300 "xxxxxxxxxxxxxxxxxxxxxxxxxxx") === 1
             > pprint ['\''a'\''..]
             > pprint $ "hello" ++ [error "x"] ++ "world!"
             .
             See also <http://pnyf.inf.elte.hu/fp/Show_en.xml>
             .
             Changes since 0.1: Refactoring, proper handling of nested errors
category: Testing, Text
author: Péter Diviánszky
exposed: True
exposed-modules: Data.PPrint Data.Data.Eval Data.Data.Compare
                 Data.Data.GenRep Data.Data.GenRep.Functions Data.Data.GenRep.Doc
                 Control.Exception.Pure System.SimpleTimeout
                 System.SimpleTimeout.Limits System.IO.Parallel
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/data-pprint-0.2.1.4
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/data-pprint-0.2.1.4
              /usr/local/lib
hs-libraries: HSdata-pprint-0.2.1.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         deepseq-1.3.0.1-aa1be128186a233c7290faf88620ffe5
         mtl-2.1.2-735d9c92b4f214d454fb5168bb1eb6ee
         parallel-3.2.0.3-e820b19f5a9c77af99f9f74ca067f604
         pretty-1.1.1.0-2de27f83b2c1c65d629a564e9e01b27d
         time-1.4.0.1-11ddabfbdd9e1882a9135b100d37881b
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/data-pprint-0.2.1.4/html/data-pprint.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/data-pprint-0.2.1.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
